Loading...
Searching...
No Matches
queue.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for types found in <queue> More...

`#include "cereal/details/helpers.hpp"`
`#include <queue>`
`#include "cereal/types/deque.hpp"`
`#include "cereal/types/functional.hpp"`

Go to the source code of this file.

## Functions

template<class T , class C >
C const & | cereal::queue_detail::container (std::queue< T, C > const &queue)
| Allows access to the protected container in queue.
template<class T , class C , class Comp >
C const & | cereal::queue_detail::container (std::priority_queue< T, C, Comp > const &priority_queue)
| Allows access to the protected container in priority queue.
template<class T , class C , class Comp >
Comp const & | cereal::queue_detail::comparator (std::priority_queue< T, C, Comp > const &priority_queue)
| Allows access to the protected comparator in priority queue.
template<class Archive , class T , class C >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::queue< T, C > const &queue)
| Saving for std::queue.
template<class Archive , class T , class C >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::queue< T, C > &queue)
| Loading for std::queue.
template<class Archive , class T , class C , class Comp >
void | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::priority_queue< T, C, Comp > const &priority_queue)
| Saving for std::priority_queue.
template<class Archive , class T , class C , class Comp >
void | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::priority_queue< T, C, Comp > &priority_queue)
| Loading for std::priority_queue.

## Detailed Description

Support for types found in <queue>